> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-1/retrieve-a-reservation.md).

# Retrieve a reservation

Endpoint

```
GET /api/reservations/{reservation_id}/
```

Replace `{`reservation\_id`}` with the actual ID of the reservation you wish to retrieve.

#### Example Request

```plaintext
GET /api/reservations/3b87b2ee-5063-471d-a70a-051d165ca1d0/
```

#### Authorization

Requests to this endpoint must include an `API-KEY` in the header for authentication:

```python
headers = {"API-KEY": "your_unique_api_key_here"}
response = requests.get("https://api.vomevolunteer.com/api/reservations/3b87b2ee-5063-471d-a70a-051d165ca1d0/", headers=headers)
```

#### Response Object

The response object includes comprehensive details about the user's profile:

```json
{
  "id": "d20414eb-7c94-47a3-bcc3-4130aa74ce38",
  "shift": {
    "id": "645dfb6c-437c-42a9-9cf7-2eaf9c0fa87d",
    "created_at": "2020-09-29T22:38:01.213771Z",
    "shift_start_at": "2020-10-07T18:00:00Z",
    "shift_end_at": "2020-10-07T20:00:00Z",
    "spots": 10,
    "shift_title": "Shift Title A",
    "shift_description": null
  },
  "created_at": "2020-10-04T00:48:44.773601Z",
  "status": 1, // Reserved
  "logged_hours": 4.25,
  "arrival_time": null, 
  "departure_time": null,
  "hours_approved_by": {
    "first_name": "Aaron",
    "last_name": "Miller",
    "email": "amiller@domain.com"
  },
  "user": {
    "id": "874976ad-3bcc-456c-ad52-e54132b88571",
    "first_name": "Daniel",
    "last_name": "Smithkern",
    "email": "sample123@domain.com",
    "gender": 0, //Male
    "address": "3949 Decarie Boulevard, Montreal, QC, Canada",
    "phone_number": "1235474630",
    "date_of_birth": "1975-02-08",
    "timezone": "America/Detroit",
    "address_coordinates": [
      "45.4772493",
      "-73.61535169999999"
    ]
  },
  "opportunity": {
    "id": "a79d14ff-6611-4229-b244-f8151efd275f",
    "category": {
      "id": "51293d96-857b-455d-82ca-60c666bcda61",
      "title": "Category A",
      "description": "Help provide meal with a personal touch to the less privileged."
    },
    "title": "Opportunity A",
    "description": "Helping 50,000 people get meals in our community with this program!"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor-1/retrieve-a-reservation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
